%global zikula_base         %{_datadir}/zikula
%global zikula_moddir       %{zikula_base}/modules
%global zikula_modname      menutree

Name:           zikula-module-%{zikula_modname}
Version:        2.3
Release:        1%{?dist}
Summary:        Menutree allows to create multilevel, hierarchical (tree-like) menu

Group:          Applications/Publishing
License:        GPL+ and ASL 2.0
# The only file that is licensed under ASL2 is cookiejar.js.  All other is GPL+.
URL:            http://code.zikula.org/bianor/changeset/192/tags/menutree/
Source0:        http://community.zikula.org/extensionsDist/module_menutree_2-3.zip 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  dos2unix 
Requires:       zikula >= 1.2.2

%description
Menutree allows to create multilevel, hierarchical (tree-like) menu. 
Block management can be done through "drag and drop" method, and the 
whole process of creating a block can be done without page reloads.


%prep
#% setup -qn tags/% {zikula_modname}/% {version}/modules/menutree
%setup -qn modules/menutree
# Remove empty index.html and others
find -size 0 | xargs rm -f
find -name '.htaccess' | xargs rm -f
find pndocs/ -name '*.txt' | xargs dos2unix
iconv -f ISO-8859-1 -t UTF8 pndocs/credits.txt -o pndocs/credits.txt
iconv -f ISO-8859-1 -t UTF8 pndocs/credits.txt -o pndocs/pomoc.txt
rm -r locale/*

%build


%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname} 
cp -pr . $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname}
rm -rf $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname}/pndocs




%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc pndocs/changelog.txt pndocs/license.txt pndocs/credits.txt pndocs/help.txt pndocs/pomoc.txt pndocs/readme.txt
%{zikula_moddir}/%{zikula_modname}


%changelog
* Wed Jun 9 2010 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 2.3-1
- Conversion to gettext
- New dynamic elements: adminlinks and pagesetter

* Sun Dec 06 2009 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 2.2-1
- Upstream fix of license issues.

* Wed Jul 15 2009 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 2.0.1-2
- Fixed source0 name.

* Sun Jun 14 2009 Fedora Docs Team <docs@fedoraproject.org> - 2.0.1-1
- Initial RPM release

